Bug 15245 - RFE: [graphical install] Too short passwords are accepted
Summary: RFE: [graphical install] Too short passwords are accepted
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Brock Organ
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-03 15:53 UTC by Christian Rose
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-08 19:53:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Christian Rose 2000-08-03 15:53:25 UTC
In the graphical install, when selecting the password for a non-root user,
too short passwords are accepted.

In the text mode install, a too short password for a non-root user won't be
accepted, and I think that this inconsistensy suggests that the behavior in
the graphical install is a bug.

My suggestion is that too short user passwords won't be accepted in the
graphical install either, and the "Next" button greyed out and the text
"Password too short." displayed, as when one enters a too short root
password.

This would greatly improve security for users that do not understand the
security consequences of short passwords.

Comment 1 Michael Fulbright 2000-08-17 16:02:44 UTC
Will be added to future issues to address.

Comment 2 Brent Fox 2000-10-09 18:55:22 UTC
I agree.  This issue is now fixed in CVS.  Brock, please test and verify that
the fix works.

Comment 3 Brock Organ 2000-12-08 21:10:15 UTC
verified non-root users now have a six character passwd minimum ...


Note You need to log in before you can comment on or make changes to this bug.